import { Product } from '@/domain/entities';

/**
 * PORT — Contract for wishlist persistence
 */
export interface IWishlistRepository {
  getItems(): Product[];
  addItem(product: Product): void;
  removeItem(productId: string): void;
  isInWishlist(productId: string): boolean;
  toggleItem(product: Product): void;
}